Bug 412 - tftpd
tftpd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tftp (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-14 11:54 EST by gkuchera
Modified: 2014-03-16 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-08 11:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gkuchera 1998-12-14 11:54:54 EST
tftpd does not truncate files it writes over.  This is
mostly visible when you write a small file over a large one
and you are using a tftp client that uses the DOS ctrl-z
for an end of file marker.

I will send a patch for the problem.

This problem stems from the bsd net source.  Do you know
how to send them a bug report?

Please let me know.  gkuchera@harmonic.com
Comment 1 David Lawrence 1998-12-30 16:28:59 EST
This has been passed on to a developer for further review.
Comment 2 Jeff Johnson 1999-03-29 12:18:59 EST
Do you have a patch for this problem?

------- Email Received From  Geoff Kuchera <gkuchera@harmonic.com> 03/29/99 17:06 -------
Comment 3 Jeff Johnson 1999-04-08 11:23:59 EDT
Patch applied in tftp-0.10-23. Thanks.

Note You need to log in before you can comment on or make changes to this bug.